petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMMoabGetFieldDofsLocal

Gets the local degrees-of-freedom of a field (component) defined on an array of MOAB EntityHandles.

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetFieldDofsLocal(DM dm,PetscInt npoints,const moab::EntityHandle* points,PetscInt field,PetscInt* dof)

Not Collective

### Input Parameters

| dm | - the discretization manager object
| npoints | - the total number of Entities in the points array
| points | - the MOAB EntityHandle container array which holds the field degree-of-freedom values
| field | - the field (component) index

### Output Parameter

| dof | - the local degree-of-freedom index array corresponding to the field in the discrete representation (Vec, Mat)

### Keywords

discretization manager, get, local degrees of freedom

### See Also

DMMoabGetFieldDof(), DMMoabGetFieldDofs()

Level:intermediate
Location:src/dm/impls/moab/dmmbfield.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages